@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200;300;400;500;700;800&family=Poppins:wght@300;400;500;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

:root{
    /* ===== Colors ===== */
    --body-color: #EEEEEE;
    --sidebar-color:  #053B50;
    --primary-color: #64CCC5;
    --secondary-color: #DDD;
    --text-color: #FFF;

    /* ===== Transition ===== */
    --trans-00: all 0.2s ease;
    --trans-01: all 0.3s ease;
    --trans-02: all 0.4s ease;
    --trans-03: all 0.5s ease;
}

body{
    height: 100vh;
}

/* ===== form styling starts here ===== */
.container{
    background-image: linear-gradient(rgba(0,0,50,0.8), rgba(0,0,50,0.8)), url(./images/pexels-edmond-dantès-7103129.jpg );
    width: 100%;
    height: 100vh;
    background-size: cover;
    position: relative;
    background-position: center;
}

.form-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
    padding: 50px 60px 70px;
    background-color: var(--text-color);
    max-width: 450px;
    border-radius: 16px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.form-container img{
    width: 100px;
    border-radius: 5px;
    height: 70px;
}

.logo-container h1{
    color: var(--sidebar-color);
    margin-bottom: 10px 10px;
}

.logo-contents p{
    font-size: 12px;
}

/* ===== input feild style starts here ===== */
.input-feild{
    display: flex;
    align-items: center;
    background-color: var(--secondary-color);
    margin: 15px 0;
    border-radius: 3px;
    max-height: 65px;
    transition: max-height 0.4s;
    overflow: hidden;
}

input{
    width: 100%;
    background-color: var(--secondary-color);
    border: none;
    color: var(--sidebar-color);
    outline: none;
    padding: 18px 15px;
}

.input-feild i{
    margin-left: 15px;
    color: var(--sidebar-color);
}

#admin-feild{
    display: none;
}





/* ===== style for button ===== */
.btn-container{
    width: 100%;
    display: flex;
    justify-content: space-between;
}
/* 
.btn-container button{
    flex-basis: 48%;
    background-color: var(--sidebar-color);
    color: var(--body-color);
    height: 40px;
    border-radius: 20px;
    border: 0;
    outline: 0;
    cursor: pointer;
    transition: var(--trans-00);
} */

.btn-container a{
    display: flex;
    justify-content: center;
    text-decoration: none;
    flex-basis: 48%;
    align-items: center;
    background-color: var(--sidebar-color);
    color: var(--body-color);
    height: 40px;
    border-radius: 20px;
    font-size: 13px;
    cursor: pointer;
    transition: var(--trans-00);
    color: var(--body-color);
}

.btn-container button.disable{
    background-color: var(--secondary-color);
    color: var(--sidebar-color);
}

#admin-contents{
    display: none;
}



/* ===== admin link styles ===== */
.choice{
    display: flex;
    justify-content: center;
    margin-top: 7px;
}

.choice p a{
    text-decoration: none;
    color: var(--sidebar-color);
    cursor: pointer;
}